
import os

from setuptools import setup, find_packages

__version__ = open(os.path.join(os.path.dirname(__file__), 'pyxai/version.txt'), encoding='utf-8').read()

print("setup version", __version__)

setup(name='pyxai',
      version=__version__,
      python_requires='>=3.8',
      author='Gilles Audemard, Steve Bellart, Louenas Bounia, Jean-Marie Lagniez, Pierre Marquis, Nicolas Szczepanski:',
      author_email='audemard@cril.fr, bellart@cril.fr, bounia@cril.fr, lagniez@cril.fr, marquis@cril.fr, szczepanski@cril.fr',
      maintainer='Gilles Audemard, Nicolas Szczepanski',
      maintainer_email='audemard@cril.fr, szczepanski@cril.fr',
      keywords='XAI AI XML ML explainable learning',
      classifiers=['Topic :: Scientific/Engineering :: Artificial Intelligence', 'Topic :: Education'],
      packages=find_packages(),#exclude=["problems/g7_todo/"]),
      package_dir={'pyxai': 'pyxai'},
      install_requires=['lxml', 'numpy', 'wheel', 'pandas', 'termcolor', 'shap', 'wordfreq', 'python-sat[pblib,aiger]', 'xgboost'],
      include_package_data=True,
      description='Explaining Machine Learning Classifiers in Python',
      long_description=open(os.path.join(os.path.dirname(__file__), 'pyxai/README.md'), encoding='utf-8').read(),
      long_description_content_type='text/markdown',
      license='MIT',
      platforms='LINUX')
